#include <stdio.h>
#include <stdlib.h>

void get_date_time(int *year, int *month, int *day, int *hour, int *minute, int *second, char *timezone) {
	struct tm *now = NULL;
	time_t time_value = 0;
	time_value = time(NULL);/* Get time value*/
	now = localtime(&time_value); /* Get time and date structure */
	*hour = now->tm_hour;/* Save the hour value*/
	*minute = now->tm_min;/* Save the minutes value */
	*second = now->tm_sec;/* Save the seconds value */
	*year = now->tm_year + 1900; /* Save the year value*/
	*month = now->tm_mon + 1;/* Save the month value */
	*day = now->tm_mday;/* Save the day value*/
	strcpy(timezone, now->tm_zone); /* Save the timezone value */
}

int main(int argc, char *argv[]){
	int year, month, day, hour, minute, second;
	char timezone[4];
	get_date_time(&year, &month, &day, &hour, &minute, &second, timezone);
	printf("%d-%d-%d ", year, month, day);
	printf("%d:%d:%d %s",hour, minute, second, timezone);
	return 0;
}